  #floatingAlert {
    position: fixed;
    top: -100px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1050;
    opacity: 0;
    transition: top 0.5s ease, opacity 0.5s ease;
  }

  #floatingAlert.show {
    top: 20px;
    opacity: 1;
  }

  #loadingModal {
    display: none; /* Hidden by default */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5); /* semi-transparent black */
    z-index: 9999;
  }

  .spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

@keyframes chartjs-render-animation {
  from {
    opacity: .099
  }

  to {
    opacity: 1
  }
}

.chartjs-render-monitor {
  animation: chartjs-render-animation 1ms
}

.chartjs-size-monitor,
.chartjs-size-monitor-expand,
.chartjs-size-monitor-shrink {
  position: absolute;
  direction: ltr;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  pointer-events: none;
  visibility: hidden;
  z-index: -1
}

.chartjs-size-monitor-expand>div {
  position: absolute;
  width: 1000000px;
  height: 1000000px;
  left: 0;
  top: 0
}

.chartjs-size-monitor-shrink>div {
  position: absolute;
  width: 200%;
  height: 200%;
  left: 0;
  top: 0
}

.chart-container {
  position: relative;
  margin: auto;
  height: 80vh;
  width: 80vw;
}


/*.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
@media (min-width: 768px) {
  .bd-placeholder-img-lg {
    font-size: 3.5rem;
  }
}*/

.disabled-link {
   color: #999;              /* Greyed out */
   pointer-events: none;     /* Disable clicks */
   text-decoration: none;    /* Optional: remove underline */
   cursor: default;          /* Optional: default cursor */
 }

.share-buttons button {
  margin: 5px;
  padding: 10px 15px;
  border: none;
  background-color: #273fe2;
  cursor: pointer;
  border-radius: 25px;
  color: #ffffff;
}

.form-select {
   font-size: 12px;
}

.form-control {
   font-size: 12px;
}

.card-title {
    float: none;
}

.dashboard-switch-label {
    transform: translateX(0px) translateY(-3px);
    font-size: 18px;
    font-weight: bold;
}

.dashboard-switch {
    /*transform: scale(1.8) translateX(5px);*/
    margin-top: 9px;
    margin-right: 10px;
}

#sidebar-wrapper {
  margin-left: -250px;
  left: 250px;
  width: 250px;
  background: #000;
  position: fixed;
  /*height: 100%;*/
  overflow-y: scroll;
  z-index: 1000;
  transition: all 0.4s ease 0s;
}

.modal-body-ng {
  height: 200px
}

.modal-header {
  background-color: rebeccapurple;
  color: white;
}

.dateTimeInput {
  border: 0px;
  border-bottom: 1px solid lightgray;
}

.dateTimeInput:focus {
    border-bottom: 1px solid rebeccapurple;
}

.dateTimeInput:active {
    border-bottom: 1px solid rebeccapurple;
}

.dateTimeInput:target {
    border-bottom: 1px solid rebeccapurple;
}

.grecaptcha-badge{
    z-index: 100000!important;
 }

.btn-outline-primary {
    color: #7952b3;
    border-color: #7952b3;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #7952b3;
    border-color: #7952b3 ;
}

.btn:focus-visible {
    /*color: #7952b3;*/
    background-color: #7952b3;
    border-color: #7952b3;
    /*outline: 0;*/
    /*box-shadow: var(--bs-btn-focus-box-shadow);*/
}

/*.form-switch .form-check-input:focus {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%237952b3'/%3e%3c/svg%3e");
}*/

.form-switch .form-check-input:focus {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%237952b3'/%3e%3c/svg%3e")
}

.form-switch .form-check-input:checked {
    background-position: right center;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e")
}

.form-check-input:focus {
    border-color: #7952b3;
    outline: 0;
    box-shadow: 0 0 0 .25rem #7952b355;
}

.btn-check:focus+.btn-outline-primary, .btn-outline-primary:focus {
    box-shadow: 0 0 0 .25rem #7952b355;
}

.btn-check:active+.btn-outline-primary:focus, .btn-check:checked+.btn-outline-primary:focus, .btn-outline-primary.active:focus, .btn-outline-primary.dropdown-toggle.show:focus, .btn-outline-primary:active:focus Specificity: (0,4,0)
{
    box-shadow: 0 0 0 .25rem #7952b355;
}

.btn-check:checked + .btn, :not(.btn-check) + .btn:active, .btn:first-child:active, .btn.active, .btn.show {
    color: var(--bs-btn-active-color);
    background-color: #7952b3;
    border-color: #7952b3;
}


.btn-check:active+.btn-outline-primary:focus, .btn-check:checked+.btn-outline-primary:focus, .btn-outline-primary.active:focus, .btn-outline-primary.dropdown-toggle.show:focus, .btn-outline-primary:active:focus {
    box-shadow: 0 0 0 .25rem #7952b355;
}

.borderless td, .borderless th {
    border: none;
}

.card-header {
    color: white;
    background-color: #7952b3;
}

.popover-header {
  background-color: #7952b3!important; /* blue background */
  color: #fff!important;              /* white text */
}

.btn-close {
  --bs-btn-close-color: #fff;
  --bs-btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414'/%3e%3c/svg%3e");
  --bs-btn-close-opacity: 0.5;
  --bs-btn-close-hover-opacity: 0.75;
  --bs-btn-close-focus-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
  --bs-btn-close-focus-opacity: 1;
  --bs-btn-close-disabled-opacity: 0.25;
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: 0.25em 0.25em;
  color: var(--bs-btn-close-color);
  background: transparent var(--bs-btn-close-bg) center/1em auto no-repeat;
  filter: var(--bs-btn-close-filter);
  border: 0;
  border-radius: 0.375rem;
  opacity: var(--bs-btn-close-opacity);
}

.btn-close:hover {
  color: var(--bs-btn-close-color);
  text-decoration: none;
  opacity: var(--bs-btn-close-hover-opacity);
}

.modal-content {
    pointer-events: all!important;
}